Get vesting balances for multiple allocations
curl --request POST \
--url https://api.anchorage-staging.com/v2/vesting/balances \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"allocationIds": [
"<string>"
],
"stakeholderId": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v2/vesting/balances"
payload = {
"allocationIds": ["<string>"],
"stakeholderId": "<string>"
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({allocationIds: ['<string>'], stakeholderId: '<string>'})
};
fetch('https://api.anchorage-staging.com/v2/vesting/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorCount": 1,
"results": [
{
"allocationId": "alloc-123",
"balance": {
"assetType": "BTC",
"availableBalance": "1000.50000000",
"externalTokenId": "magna_token_123",
"lockedBalance": "100.10000000",
"networkId": "ETHHOODI",
"unvestedBalance": "500.25000000"
},
"error": "<string>",
"walletInfo": {
"address": "0x1234567890abcdef...",
"walletId": "3d293c0d64c703023692216e9b4f5280"
}
}
],
"successCount": 3
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get vesting balances
Get vesting balances for multiple allocations.
POST
/
vesting
/
balances
Get vesting balances for multiple allocations
curl --request POST \
--url https://api.anchorage-staging.com/v2/vesting/balances \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"allocationIds": [
"<string>"
],
"stakeholderId": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v2/vesting/balances"
payload = {
"allocationIds": ["<string>"],
"stakeholderId": "<string>"
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({allocationIds: ['<string>'], stakeholderId: '<string>'})
};
fetch('https://api.anchorage-staging.com/v2/vesting/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorCount": 1,
"results": [
{
"allocationId": "alloc-123",
"balance": {
"assetType": "BTC",
"availableBalance": "1000.50000000",
"externalTokenId": "magna_token_123",
"lockedBalance": "100.10000000",
"networkId": "ETHHOODI",
"unvestedBalance": "500.25000000"
},
"error": "<string>",
"walletInfo": {
"address": "0x1234567890abcdef...",
"walletId": "3d293c0d64c703023692216e9b4f5280"
}
}
],
"successCount": 3
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Body
application/json
The request body containing allocation IDs and optional stakeholder ID
Response
Batch vesting balances for the requested allocations
Was this page helpful?